# pulp_file-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 0.3.0.dev01582991556
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_file 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_file
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_file
from pulpcore.client.pulp_file.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_file.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# Defining host is optional and default to http://localhost:24817
configuration.host = "http://localhost:24817"
# Create an instance of the API class
api_instance = pulpcore.client.pulp_file.ContentFilesApi(pulpcore.client.pulp_file.ApiClient(configuration))
relative_path = 'relative_path_example' # str | Path where the artifact is located relative to distributions base_path
artifact = 'artifact_example' # str | Artifact file representing the physical content (optional)
file = '/path/to/file' # file | An uploaded file that should be turned into the artifact of the content unit. (optional)
repository = 'repository_example' # str | A URI of a repository the new content unit should be associated with. (optional)

try:
    # Create a file content
    api_response = api_instance.create(relative_path, artifact=artifact, file=file, repository=repository)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentFilesApi->create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentFilesApi* | [**create**](docs/ContentFilesApi.md#create) | **POST** /pulp/api/v3/content/file/files/ | Create a file content
*ContentFilesApi* | [**list**](docs/ContentFilesApi.md#list) | **GET** /pulp/api/v3/content/file/files/ | List file contents
*ContentFilesApi* | [**read**](docs/ContentFilesApi.md#read) | **GET** {file_content_href} | Inspect a file content
*DistributionsFileApi* | [**create**](docs/DistributionsFileApi.md#create) | **POST** /pulp/api/v3/distributions/file/file/ | Create a file distribution
*DistributionsFileApi* | [**delete**](docs/DistributionsFileApi.md#delete) | **DELETE** {file_distribution_href} | Delete a file distribution
*DistributionsFileApi* | [**list**](docs/DistributionsFileApi.md#list) | **GET** /pulp/api/v3/distributions/file/file/ | List file distributions
*DistributionsFileApi* | [**partial_update**](docs/DistributionsFileApi.md#partial_update) | **PATCH** {file_distribution_href} | Partially update a file distribution
*DistributionsFileApi* | [**read**](docs/DistributionsFileApi.md#read) | **GET** {file_distribution_href} | Inspect a file distribution
*DistributionsFileApi* | [**update**](docs/DistributionsFileApi.md#update) | **PUT** {file_distribution_href} | Update a file distribution
*FileExportersFileApi* | [**create**](docs/FileExportersFileApi.md#create) | **POST** /pulp/api/v3/file_exporters/file/file/ | Create a file file system exporter
*FileExportersFileApi* | [**delete**](docs/FileExportersFileApi.md#delete) | **DELETE** {file_file_system_exporter_href} | Delete a file file system exporter
*FileExportersFileApi* | [**export**](docs/FileExportersFileApi.md#export) | **POST** {file_file_system_exporter_href}export/ | 
*FileExportersFileApi* | [**list**](docs/FileExportersFileApi.md#list) | **GET** /pulp/api/v3/file_exporters/file/file/ | List file file system exporters
*FileExportersFileApi* | [**partial_update**](docs/FileExportersFileApi.md#partial_update) | **PATCH** {file_file_system_exporter_href} | Partially update a file file system exporter
*FileExportersFileApi* | [**read**](docs/FileExportersFileApi.md#read) | **GET** {file_file_system_exporter_href} | Inspect a file file system exporter
*FileExportersFileApi* | [**update**](docs/FileExportersFileApi.md#update) | **PUT** {file_file_system_exporter_href} | Update a file file system exporter
*PublicationsFileApi* | [**create**](docs/PublicationsFileApi.md#create) | **POST** /pulp/api/v3/publications/file/file/ | Create a file publication
*PublicationsFileApi* | [**delete**](docs/PublicationsFileApi.md#delete) | **DELETE** {file_publication_href} | Delete a file publication
*PublicationsFileApi* | [**list**](docs/PublicationsFileApi.md#list) | **GET** /pulp/api/v3/publications/file/file/ | List file publications
*PublicationsFileApi* | [**read**](docs/PublicationsFileApi.md#read) | **GET** {file_publication_href} | Inspect a file publication
*RemotesFileApi* | [**create**](docs/RemotesFileApi.md#create) | **POST** /pulp/api/v3/remotes/file/file/ | Create a file remote
*RemotesFileApi* | [**delete**](docs/RemotesFileApi.md#delete) | **DELETE** {file_remote_href} | Delete a file remote
*RemotesFileApi* | [**list**](docs/RemotesFileApi.md#list) | **GET** /pulp/api/v3/remotes/file/file/ | List file remotes
*RemotesFileApi* | [**partial_update**](docs/RemotesFileApi.md#partial_update) | **PATCH** {file_remote_href} | Partially update a file remote
*RemotesFileApi* | [**read**](docs/RemotesFileApi.md#read) | **GET** {file_remote_href} | Inspect a file remote
*RemotesFileApi* | [**update**](docs/RemotesFileApi.md#update) | **PUT** {file_remote_href} | Update a file remote
*RepositoriesFileApi* | [**create**](docs/RepositoriesFileApi.md#create) | **POST** /pulp/api/v3/repositories/file/file/ | Create a file repository
*RepositoriesFileApi* | [**delete**](docs/RepositoriesFileApi.md#delete) | **DELETE** {file_repository_href} | Delete a file repository
*RepositoriesFileApi* | [**list**](docs/RepositoriesFileApi.md#list) | **GET** /pulp/api/v3/repositories/file/file/ | List file repositorys
*RepositoriesFileApi* | [**modify**](docs/RepositoriesFileApi.md#modify) | **POST** {file_repository_href}modify/ | Modify Repository Content
*RepositoriesFileApi* | [**partial_update**](docs/RepositoriesFileApi.md#partial_update) | **PATCH** {file_repository_href} | Partially update a file repository
*RepositoriesFileApi* | [**read**](docs/RepositoriesFileApi.md#read) | **GET** {file_repository_href} | Inspect a file repository
*RepositoriesFileApi* | [**sync**](docs/RepositoriesFileApi.md#sync) | **POST** {file_repository_href}sync/ | 
*RepositoriesFileApi* | [**update**](docs/RepositoriesFileApi.md#update) | **PUT** {file_repository_href} | Update a file repository
*RepositoriesFileVersionsApi* | [**delete**](docs/RepositoriesFileVersionsApi.md#delete) | **DELETE** {file_repository_version_href} | Delete a repository version
*RepositoriesFileVersionsApi* | [**list**](docs/RepositoriesFileVersionsApi.md#list) | **GET** {file_repository_href}versions/ | List repository versions
*RepositoriesFileVersionsApi* | [**read**](docs/RepositoriesFileVersionsApi.md#read) | **GET** {file_repository_version_href} | Inspect a repository version


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [ContentSummary](docs/ContentSummary.md)
 - [FileFileContent](docs/FileFileContent.md)
 - [FileFileDistribution](docs/FileFileDistribution.md)
 - [FileFileFileSystemExporter](docs/FileFileFileSystemExporter.md)
 - [FileFilePublication](docs/FileFilePublication.md)
 - [FileFileRemote](docs/FileFileRemote.md)
 - [FileFileRepository](docs/FileFileRepository.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [PublicationExport](docs/PublicationExport.md)
 - [RepositoryAddRemoveContent](docs/RepositoryAddRemoveContent.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [RepositoryVersion](docs/RepositoryVersion.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




